Rygel.LogicalExpression – librygel-server Reference Manual

# LogicalExpression

## Object Hierarchy:

## Description:

public class LogicalExpression : SearchExpression<LogicalOperator,SearchExpression,SearchExpression>

This is a parsed UPnP search expression consisting of two other search expressions joined by a boolean operator such as AND or OR.

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public LogicalExpression ()

### Methods:

- public override `bool` satisfied_by (MediaObject media_object)
- public override `string` to_string ()

### Inherited Members:

All known members inherited from class Rygel.SearchExpression

- satisfied_by
- to_string

- op
- operand1

- operand2